# Created: 10/14/2007
# This class is part of the 3DNAParser package

import sys
from string import join

from Entity import ChildEntity

__doc__ = "Class for isostere."

class Isostere(ChildEntity):
    """
    Attributes:
    o edge1 (W/H/S/B) in priority order
    o edge2
    o lw_orie
    Arguments:
    o id - (edge1, edge2, lw_orie)
      type: tuple
    o pat_name - name of the isosteric pattern
      type: int
    """
    def __init__(self, id, pat_name):
        if type(pat_name) is not int:
            print "Wring pat_name type"
            sys.exit(2)
        self.pat_name = pat_name
        ChildEntity.__init__(self, id)

    # Public methods
    def get_pat_name(self):
        return self.pat_name
    
