# Created: 10/12/2004
# This class is part of the 3DNAParser package.
# 
# The PDBParser class was modified from the Bio.PDB.PDBParser class.
#
########
# The Bio.PDB code is reused and modified for the 3DNAParser package.
#
# Copyright (C) 2002, Thomas Hamelryck (thamelry@vub.ac.be)
# This code is part of the Biopython distribution and governed by its
# license.  Please see the LICENSE file that should have been included
# as part of this package.  
########


__doc__ = "user defined exceptions."


class ParserException(Exception):
    def __init__(self, value):
        self.value = value

    def __str__(self):
        return repr(self.value)
